Skip to main content
PUT
Add Pool Allocation to Quote

Authorizations

Authorization
string
header
required

API key authentication using Bearer token

Path Parameters

id
string<uuid>
required

The unique identifier (UUID) of the quote session.

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

Body

application/json
poolId
string<uuid>
required

The unique identifier of the liquidity pool.

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

amount
number
required

The amount to be allocated.

Example:

0

amountDirection
enum<string>
required

Specifies if the amount refers to the source or destination currency.

Available options:
source,
destination
Example:

"source"

Response

Pool allocation added successfully

quoteId
string<uuid>

Unique quote identifier

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

status
enum<string>

Quote status

Available options:
pending,
awaiting_payment,
completed,
expired,
cancelled
Example:

"pending"

source
string

Source currency

Example:

"NGN"

destination
string

Destination currency

Example:

"USDT"

chain
string

Blockchain network

Example:

"BASE"

amount
number

Requested amount

Example:

50000

totalSourceAmount
number

Total amount in source currency

Example:

50000

totalDestinationAmount
number

Total amount in destination currency

Example:

31.65

clientId
string<uuid>

Client identifier

mode
enum<string>

Operating mode

Available options:
live,
sandbox
Example:

"live"

ttl
integer

Time to live in seconds

Example:

300

allocationResult
object
metadata
object
chatMetadata
object

Metadata for chat-based quote negotiation